<script setup lang="ts">
const fixBtn = {
  add: false,
  edit: true,
  delete: true
}

const tableHeaders = reactive([
  { title: '產品經理' },
  { title: '產品簡稱' },
  { title: '開始日期' },
  { title: '結束日期' },
  { title: 'Inactive' }
])

const tableData = reactive([
  {
    productManager: '農允梅',
    productAbbreviation: 'ADB SFD',
    startDate: '2021/07/01',
    endDate: '2021/07/31',
    isInactive: true
  },
  {
    productManager: '農允梅',
    productAbbreviation: 'ADB SFD',
    startDate: '2021/07/01',
    endDate: '2021/07/31',
    isInactive: false
  },
  {
    productManager: '農允梅',
    productAbbreviation: 'ADB SFD',
    startDate: '2021/07/01',
    endDate: '2021/07/31',
    isInactive: false
  }
])

const showData = tableData

const onEdit = (val: any) => {
  console.log('parent edit', val)
}

const onDelete = (val: any) => {
  console.log('parent delete', val)
}
</script>

<template>
  <main class="container-fluid">
    <header>
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="font-zh-small-regular breadcrumb-item">
            <a href="#">業務管理</a>
          </li>
          <li
            aria-current="page"
            class="font-zh-small-regular breadcrumb-item active"
          >
            產品經理擔當
          </li>
        </ol>
      </nav>
      <div class="d-flex justify-content-end w-100">
        <img
          alt="header-illustration"
          class="header-illustration"
          src="@/assets/images/header-illustration.svg"
        />
      </div>
      <div class="function-group">
        <div class="display-info">
          <h3 class="font-zh-h3">產品經理擔當查詢</h3>
          <div class="interact-button-list d-flex">
            <button
              class="btn btn-middle-gray-200 font-zh-button d-flex justify-content-center align-items-center"
              type="button"
            >
              <p>新增</p>
              <div class="icon-create"></div>
            </button>
            <button
              class="btn btn-middle-gray-200 font-zh-button d-flex justify-content-center align-items-center"
              type="button"
            >
              <p>匯出 Excel 檔</p>
              <div class="icon-export"></div>
            </button>
          </div>
        </div>
      </div>
    </header>
    <div class="single-operation-board card">
      <h3 class="font-zh-h3 text-color-main">查詢條件</h3>
      <form>
        <div class="card-body">
          <div class="row">
            <div class="col-12">
              <div class="row align-items-end">
                <div class="col-3">
                  <div class="input-item">
                    <label class="font-zh-p-medium form-label">產品經理</label>
                    <common-select-multi />
                  </div>
                </div>
                <div class="col-3">
                  <div class="input-item">
                    <label class="font-zh-p-medium form-label">產品簡稱</label>
                    <common-select-multi />
                  </div>
                </div>
              </div>
            </div>
            <div class="col-12">
              <div class="row align-items-end">
                <div class="col-3">
                  <div class="form-check-group">
                    <p class="font-en-p-medium">Active / Inactive</p>
                    <div class="form-check-list d-flex justify-content-between">
                      <div class="form-check">
                        <input
                          id="flexRadioDefault1"
                          class="form-check-input"
                          name="flexRadioDefault"
                          type="radio"
                        />
                        <label
                          class="font-en-p-medium form-check-label"
                          for="flexRadioDefault1"
                        >
                          Active
                        </label>
                      </div>
                      <div class="form-check">
                        <input
                          id="flexRadioDefault2"
                          class="form-check-input"
                          name="flexRadioDefault"
                          type="radio"
                        />
                        <label
                          class="font-en-p-medium form-check-label"
                          for="flexRadioDefault2"
                        >
                          Inactive
                        </label>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-3">
                  <div class="d-grid gap-2">
                    <button
                      class="btn btn-large-secondary font-zh-button d-flex justify-content-center align-items-center"
                      type="submit"
                    >
                      <p>查詢</p>
                      <div class="icon-search"></div>
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div>
      <basic-table
        :fix-btn="fixBtn"
        :table-data="showData"
        :table-headers="tableHeaders"
        @delete="onDelete"
        @edit="onEdit"
      />
    </div>
  </main>
</template>

<style lang="scss" scoped>
/** style */
</style>
